{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": "GC_analysis",
            "hints": [
                {
                    "dockerPull": "tonyyzy/gc_analysis",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "tmpdirMin": 50000,
                    "outdirMin": 50000,
                    "ramMin": 16000,
                    "class": "ResourceRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i",
                        "position": 1
                    },
                    "id": "#GC_analysis.cwl/genomefile"
                },
                {
                    "type": "string",
                    "default": null,
                    "inputBinding": {
                        "position": 5
                    },
                    "id": "#GC_analysis.cwl/omittail"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-f",
                        "position": 6
                    },
                    "id": "#GC_analysis.cwl/outformat"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-o",
                        "position": 4
                    },
                    "id": "#GC_analysis.cwl/outputfile"
                },
                {
                    "type": "string",
                    "default": null,
                    "inputBinding": {
                        "position": 7
                    },
                    "id": "#GC_analysis.cwl/singlefile"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-s",
                        "position": 3
                    },
                    "id": "#GC_analysis.cwl/step"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-w",
                        "position": 2
                    },
                    "id": "#GC_analysis.cwl/window_size"
                }
            ],
            "id": "#GC_analysis.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outputfile).*"
                    },
                    "id": "#GC_analysis.cwl/output"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "cpglh",
            "requirements": [
                {
                    "ramMin": 5000,
                    "class": "ResourceRequirement"
                }
            ],
            "hints": [
                {
                    "dockerPull": "tonyyzy/cpg_island_docker",
                    "class": "DockerRequirement"
                }
            ],
            "stdout": "$(inputs.accession).CpG.txt",
            "inputs": [
                {
                    "type": "string",
                    "id": "#cpg.cwl/accession"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cpg.cwl/genomefile"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#cpg.cwl/output",
                    "outputBinding": {
                        "glob": "$(inputs.accession).CpG.txt"
                    }
                }
            ],
            "id": "#cpg.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "curl",
            "hints": [
                {
                    "dockerPull": "sequenceiq/alpine-curl",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "tmpdirMin": 20000,
                    "outdirMin": 20000,
                    "class": "ResourceRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-o",
                        "valueFrom": "$(inputs.accession).fasta.gz"
                    },
                    "id": "#curl_ftp.cwl/accession"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-K"
                    },
                    "id": "#curl_ftp.cwl/url"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.accession).fasta.gz"
                    },
                    "id": "#curl_ftp.cwl/output"
                }
            ],
            "id": "#curl_ftp.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "gzip",
            "arguments": [
                "-d",
                "-c"
            ],
            "requirements": [
                {
                    "tmpdirMin": 30000,
                    "outdirMin": 30000,
                    "ramMin": 5000,
                    "class": "ResourceRequirement"
                }
            ],
            "stdout": "$(inputs.gzfile.nameroot)",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#gz.cwl/gzfile"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.fasta"
                    },
                    "id": "#gz.cwl/output"
                }
            ],
            "id": "#gz.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "python",
            "hints": [
                {
                    "dockerPull": "tonyyzy/python2.7_requests",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#gz_url.cwl/accession"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#gz_url.cwl/script"
                }
            ],
            "stdout": "$(inputs.accession).url",
            "outputs": [
                {
                    "type": "File",
                    "id": "#gz_url.cwl/output",
                    "outputBinding": {
                        "glob": "$(inputs.accession).url"
                    }
                }
            ],
            "id": "#gz_url.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "trf",
            "hints": [
                {
                    "dockerPull": "quay.io/biocontainers/trf:4.09--1",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "tmpdirMin": 30000,
                    "outdirMin": 30000,
                    "ramMin": 4000,
                    "class": "ResourceRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 6
                    },
                    "id": "#trf.cwl/PI"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 5
                    },
                    "id": "#trf.cwl/PM"
                },
                {
                    "type": "string",
                    "default": null,
                    "inputBinding": {
                        "position": 10
                    },
                    "id": "#trf.cwl/data_file"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#trf.cwl/delta"
                },
                {
                    "type": "string",
                    "default": null,
                    "inputBinding": {
                        "position": 9
                    },
                    "id": "#trf.cwl/flanking_sequence"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#trf.cwl/genomefile"
                },
                {
                    "type": "string",
                    "default": null,
                    "inputBinding": {
                        "position": 11
                    },
                    "id": "#trf.cwl/masked_sequence"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#trf.cwl/match"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 8
                    },
                    "id": "#trf.cwl/maxperiod"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 7
                    },
                    "id": "#trf.cwl/minscore"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#trf.cwl/mismatch"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 12
                    },
                    "id": "#trf.cwl/suppress_html"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.dat"
                    },
                    "id": "#trf.cwl/dat"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.mask"
                    },
                    "id": "#trf.cwl/mask"
                }
            ],
            "id": "#trf.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "TRFdat_to_bed.py",
            "hints": [
                {
                    "dockerPull": "tonyyzy/trfdat_to_bed_docker",
                    "class": "DockerRequirement"
                }
            ],
            "arguments": [
                "--bed",
                {
                    "valueFrom": "$(inputs.datfile.nameroot).bed"
                }
            ],
            "requirements": [
                {
                    "tmpdirMin": 10000,
                    "outdirMin": 10000,
                    "ramMin": 5000,
                    "class": "ResourceRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--dat",
                        "position": 1
                    },
                    "id": "#trfdat_to_bed.cwl/datfile"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.bed"
                    },
                    "id": "#trfdat_to_bed.cwl/output"
                }
            ],
            "id": "#trfdat_to_bed.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/PI"
                },
                {
                    "type": "string",
                    "id": "#main/PM"
                },
                {
                    "type": "string",
                    "id": "#main/accession"
                },
                {
                    "type": "string",
                    "id": "#main/data_file"
                },
                {
                    "type": "string",
                    "id": "#main/dataformat"
                },
                {
                    "type": "string",
                    "id": "#main/delta"
                },
                {
                    "type": "string",
                    "id": "#main/flanking_sequence"
                },
                {
                    "type": "string",
                    "id": "#main/masked_sequence"
                },
                {
                    "type": "string",
                    "id": "#main/match"
                },
                {
                    "type": "string",
                    "id": "#main/maxperiod"
                },
                {
                    "type": "string",
                    "id": "#main/minscore"
                },
                {
                    "type": "string",
                    "id": "#main/mismatch"
                },
                {
                    "type": "string",
                    "default": null,
                    "id": "#main/omittail"
                },
                {
                    "type": "string",
                    "id": "#main/outformat"
                },
                {
                    "type": "File",
                    "id": "#main/script"
                },
                {
                    "type": "string",
                    "default": null,
                    "id": "#main/singlefile"
                },
                {
                    "type": "string",
                    "id": "#main/step"
                },
                {
                    "type": "string",
                    "id": "#main/suppress_html"
                },
                {
                    "type": "string",
                    "id": "#main/window_size"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/CpG/output",
                    "id": "#main/CpG_out"
                },
                {
                    "type": "File",
                    "outputSource": "#main/GC/output",
                    "id": "#main/GCout"
                },
                {
                    "type": "File",
                    "outputSource": "#main/TRFdat_to_bed/output",
                    "id": "#main/TRF_bed_out"
                },
                {
                    "type": "File",
                    "outputSource": "#main/TRF/dat",
                    "id": "#main/TRF_dat_out"
                },
                {
                    "type": "File",
                    "outputSource": "#main/TRF/mask",
                    "id": "#main/TRF_mask_out"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Fasta/output",
                    "id": "#main/fasta_out"
                }
            ],
            "steps": [
                {
                    "run": "#cpg.cwl",
                    "in": [
                        {
                            "source": "#main/accession",
                            "id": "#main/CpG/accession"
                        },
                        {
                            "source": "#main/TRF/mask",
                            "id": "#main/CpG/genomefile"
                        }
                    ],
                    "out": [
                        "#main/CpG/output"
                    ],
                    "id": "#main/CpG"
                },
                {
                    "run": "#gz.cwl",
                    "in": [
                        {
                            "source": "#main/gz/output",
                            "id": "#main/Fasta/gzfile"
                        }
                    ],
                    "out": [
                        "#main/Fasta/output"
                    ],
                    "id": "#main/Fasta"
                },
                {
                    "run": "#GC_analysis.cwl",
                    "in": [
                        {
                            "source": "#main/Fasta/output",
                            "id": "#main/GC/genomefile"
                        },
                        {
                            "source": "#main/omittail",
                            "id": "#main/GC/omittail"
                        },
                        {
                            "source": "#main/outformat",
                            "id": "#main/GC/outformat"
                        },
                        {
                            "source": "#main/accession",
                            "id": "#main/GC/outputfile"
                        },
                        {
                            "source": "#main/singlefile",
                            "id": "#main/GC/singlefile"
                        },
                        {
                            "source": "#main/step",
                            "id": "#main/GC/step"
                        },
                        {
                            "source": "#main/window_size",
                            "id": "#main/GC/window_size"
                        }
                    ],
                    "out": [
                        "#main/GC/output"
                    ],
                    "id": "#main/GC"
                },
                {
                    "run": "#trf.cwl",
                    "in": [
                        {
                            "source": "#main/PI",
                            "id": "#main/TRF/PI"
                        },
                        {
                            "source": "#main/PM",
                            "id": "#main/TRF/PM"
                        },
                        {
                            "source": "#main/data_file",
                            "id": "#main/TRF/data_file"
                        },
                        {
                            "source": "#main/delta",
                            "id": "#main/TRF/delta"
                        },
                        {
                            "source": "#main/flanking_sequence",
                            "id": "#main/TRF/flanking_sequence"
                        },
                        {
                            "source": "#main/Fasta/output",
                            "id": "#main/TRF/genomefile"
                        },
                        {
                            "source": "#main/masked_sequence",
                            "id": "#main/TRF/masked_sequence"
                        },
                        {
                            "source": "#main/match",
                            "id": "#main/TRF/match"
                        },
                        {
                            "source": "#main/maxperiod",
                            "id": "#main/TRF/maxperiod"
                        },
                        {
                            "source": "#main/minscore",
                            "id": "#main/TRF/minscore"
                        },
                        {
                            "source": "#main/mismatch",
                            "id": "#main/TRF/mismatch"
                        },
                        {
                            "source": "#main/suppress_html",
                            "id": "#main/TRF/suppress_html"
                        }
                    ],
                    "out": [
                        "#main/TRF/dat",
                        "#main/TRF/mask"
                    ],
                    "id": "#main/TRF"
                },
                {
                    "run": "#trfdat_to_bed.cwl",
                    "in": [
                        {
                            "source": "#main/TRF/dat",
                            "id": "#main/TRFdat_to_bed/datfile"
                        }
                    ],
                    "out": [
                        "#main/TRFdat_to_bed/output"
                    ],
                    "id": "#main/TRFdat_to_bed"
                },
                {
                    "run": "#curl_ftp.cwl",
                    "in": [
                        {
                            "source": "#main/accession",
                            "id": "#main/gz/accession"
                        },
                        {
                            "source": "#main/wgs_url/output",
                            "id": "#main/gz/url"
                        }
                    ],
                    "out": [
                        "#main/gz/output"
                    ],
                    "id": "#main/gz"
                },
                {
                    "run": "#gz_url.cwl",
                    "in": [
                        {
                            "source": "#main/accession",
                            "id": "#main/wgs_url/accession"
                        },
                        {
                            "source": "#main/script",
                            "id": "#main/wgs_url/script"
                        }
                    ],
                    "out": [
                        "#main/wgs_url/output"
                    ],
                    "id": "#main/wgs_url"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
